Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84528 - pppd hangs after several hundres link up/down cycles
Summary: pppd hangs after several hundres link up/down cycles
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 14:49 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 14:00:25 UTC


Attachments (Terms of Use)
ppp debug file (deleted)
2003-11-25 19:42 UTC, Joshua Giles
no flags Details
/var/log/messages file (deleted)
2003-11-25 19:43 UTC, Joshua Giles
no flags Details

Description Larry Troan 2003-02-18 14:49:39 UTC
have found others in the community (via newsgroups) experiencing apparently
identical issue (see below for url).  persist option of pppd is being used to
allow the pppd process to linger after a link down event, and try to
automatically recover the link when the other end comes back.  after several
(hundreds) of ppp link up/down cycles, pppd is unable to recover when the other
end comes back -- messages are issued to syslog, as described in: 
--- http://www.uwsg.iu.edu/hypermail/linux/kernel/0208.3/0305.html ---
kill the failing pppd process, start a new one, and ppp communications resume.
tried (latest) errata kernel (2.4.18-18.8), which exhibits the same results. 
----------
Action by: jgiles
Issue Registered

Comment 1 Larry Troan 2003-02-18 14:51:15 UTC
ISSUE TRACKER 15897, opened by Dell as sev 2.

Comment 2 Joshua Giles 2003-11-25 19:41:28 UTC
This issue is still a problem on RHEL 3.  I am attaching dmesg and 
ppp debug files.

Comment 3 Joshua Giles 2003-11-25 19:42:38 UTC
Created attachment 96190 [details]
ppp debug file

Comment 4 Joshua Giles 2003-11-25 19:43:23 UTC
Created attachment 96191 [details]
/var/log/messages file

Comment 5 Thomas Woerner 2004-08-17 09:27:32 UTC
Please have a look at

http://people.redhat.com/twoerner/SRPMS/3.0E/ppp-2.4.1-14.1.src.rpm
http://people.redhat.com/twoerner/RPMS/3.0E/ppp-2.4.1-14.1.i386.rpm

This test package might solve your problem.

Comment 6 Thomas Woerner 2004-10-07 14:00:25 UTC
Closed due to user inactivity.


Note You need to log in before you can comment on or make changes to this bug.